mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true) To be added

Indicates the format in which type descriptions are laid out in the serialized stream.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.Formatters.FormatterTypeStyle To be added

  Indicates that types can be given to all object members and object members.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.Formatters.FormatterTypeStyle To be added

  Indicates that types can be stated only for arrays of objects, object members of type , and non-primitive value types.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.Formatters.FormatterTypeStyle

  The XsdString and TypesWhenNeeded settings are meant for high performance serialization between services built on the same version of the dnprdnshort. These two values do not support VTS (Version Tolerant Serialization) because they intentionally omit type information that VTS uses to skip or add optional fields and properties. You should not use the XsdString or TypesWhenNeeded type formats when serializing and deserializing types on a computer running a different version of the dnprdnshort than the computer on which the type was serialized. Serializing and deserializing on computers running different versions of the dnprdnshort causes the formatter to skip serialization of type information, thus making it impossible for the deserializer to skip optional fields if they are not present in certain types that may exist in the other version of the dnprdnshort. If you must use XsdString or TypesWhenNeeded in such a scenario, you must provide custom serialization for types that have changed from one version of the dnprdnshort to the other.

  Indicates that strings can be given in the XSD format rather than SOAP. No string IDs are transmitted.